@import url('https://fonts.googleapis.com/css2?family=Rubik&family=Source+Code+Pro&display=swap');

@font-face {
    font-family: 'ailerons';
    src:url('../fonts/Ailerons/Ailerons-Regular.otf');
}

html {
    background-color: #161d25;
    width: 100%;
    font-family: 'Source Code Pro';
    overflow-x: hidden;
}

header {
    padding-right: 20px;
}

body {
    color: #D8DEE9;
    overflow-x: hidden;
}

div#app {
    margin-left: -10px;
    margin-right: -10px;
}

a {
    color: #ab87cf;
    text-decoration: none;
}

p, li {
    font-size: calc(12px + 0.5vw);
    font-size: clamp(12px, 2.0vw, 20px);
    font-weight: lighter;
}

h1 {
    font-size: calc(14px + 8vw);
    font-weight: 200;
}

h2 {
    font-size:calc(12px + 1.2vw);
}

h3 {
    font-size:calc(12px + 0.5vw);
}

pre {
    background-color: #1b262f;
    width: 85vw;
    display: inline-block;
    text-align: center;
    border-width: 2px;
    border-style: solid;
    border-radius: 5px;
    border-color: #1b262f;
    padding: 10px;
}

code {
    font-size: calc(12px + 0.5vw);
    font-size: clamp(12px, 2.0vw, 20px);
    font-weight: lighter;
}

h1.home {
    font-family: 'ailerons', 'Source Code Pro';
}

h3.home {
    color:  #ff751a;
    font-weight: 200;
    font-family: 'Source Code Pro', monospace;
}

div.about {
    text-align: center;
}

h3.about {
    margin-bottom: -25px;
}

ul.about {
    text-align: left;
    list-style: inside;
    display: inline-block;
    padding-left: 15px;
    padding-right: 15px;
}

div.MuiPaper-root {
    background-color: #161d25;
    border-color: #88c0d0;
}

/* Autocomplete */
.MuiOutlinedInput-root.Mui-focused * {
    border: 0px;
    border-color: #88c0d0 !important;
}

div.MuiInputBase-root {
    color: #88c0d0;
}

.MuiAutocomplete-popper * {
    color: #88c0d0 !important;
}

button.MuiAutocomplete-popupIndicator {
    color: #88c0d0;
}

.MuiAutocomplete-inputRoot {
    background-color: #1b262f;
    color: #88c0d0;
    border: 0px;
}

.MuiAutocomplete-inputRoot:hover * {
    border: 0px;
}

li.MuiAutocomplete-option:hover {
    border-bottom-style: solid;
    border-width: 2px;
    border-color: #88c0d0;
}

.MuiInputBase-root.MuiOutlinedInput-root.Mui-focused * {
    color: #88c0d0;
}

.MuiInputBase-root:hover * {
    border: 0px;
}

div.search-input-adorned {
    background-color: #1b262f;
    width: calc(150px + 20vw);
    max-width: 300px;
}

input.search-input {
    background-color: #1b262f;
    color: #88c0d0;
    border-style: solid;
    border-radius: 5px;
    border-width: 0px;
    border-color: #1b262f;
}

.search-container {
    width: calc(150px + 20vw);
    max-width: 300px;
}

div.search-popover {
    background-color: #161d25;
    border-style: solid;
    border-radius: 5px;
    border-width: 1px;
    border-color: #1b262f;
    position: relative;
    z-index: 1300;
}

div.search-popover-content {
    color: #D8DEE9;
    max-width: 800px;
    max-height: 1000px;
}

div.search-popover-content:hover {
    border-bottom-style: solid;
    border-width: 3px;
    border-color: #88c0d0;
    cursor: pointer;
    transform: scale(1.02);
}

div.search-popover * {
    overflow: hidden;
}

div.search-popover:hover {
}

div.MuiGrid-container {
    padding-top: 10px;
}

div.posts-grid {
    padding-top: 40px;
}

.card {
    color: #D8DEE9;
    text-decoration: none;
}

a:hover.card {
    text-decoration: none;
}

div.card {
    text-align: center;
    padding-bottom: 10px;
    transition: transform .2s;
    border-radius: 5px;
    max-width: 400px;
    height: 570px;
    overflow: hidden;
}

div.card:hover {
    transform: scale(1.05);
    cursor: pointer;
}

img.card {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    width: 100%;
    max-width: 400px;
    object-fit: cover;
    position: relative; 
    height: 400px;
}

h1.card {
    font-weight: normal;
    font-size: calc(16px + 0.8vw);
    font-size: clamp(16px, 1.8vw, 25px);
    margin-bottom: -5px;
}

p.card {
    margin-bottom: 20px;
    padding-bottom: 30px;
    font-size: calc(10px + 0.5vw);
    font-size: clamp(14px, 1.8vw, 18px);
    padding-left: 10px;
    padding-right: 10px;
}

h1.post {
    font-size: calc(14px + 8vw);
    font-size: clamp(14px, 8vw, 100px);
    font-weight: 200;
}

div.post {
    display: flex;
    justify-content: center;
    align-items: center; 
}

div.title-post {
    min-height: 55px;
}

header.nav-toolbar {
    margin: -10px;
}

div.nav-container {
    padding: 10px;
}

button.nav-button, a.nav-button {
    margin: 10px;
    padding: 10px;
    font-size: calc(8px + 0.4vw);
    font-size: clamp(10px, 0.9vw, 14px);
    width: auto;
    color: #88c0d0;
}

button.nav-icon {
    color: #88c0d0;
    max-width: 70px;
    min-width: 40px;
    min-height: 40px;
    max-height: 70px;
}

.drawer {
}

div.drawer-container {
    text-align: center;
    overflow-x: hidden;
    max-width: 300px;
    margin-left: -1;
    margin-right: -2;
    padding: 10;
    border-color: #88c0d0;
    position: relative;
    z-index: 1;
}

div.nav-authenticated {
}

div.nav-public {
    margin-left: auto;
}

div.footer {
    text-align: center;
    padding-top: 20px;
}

